Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Transfer.FAILUREREASON

    java.lang.Object
      java.lang.Enum<Transfer.FAILUREREASON>
          com.skype.api.Transfer.FAILUREREASON

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Transfer.FAILUREREASON>

Enclosing class:
  Transfer

    public static enum Transfer.FAILUREREASON

extends java.lang.Enum<Transfer.FAILUREREASON>

Enum Constant Summary
`FAILED_READ`
`FAILED_REMOTE_READ`
`FAILED_REMOTE_WRITE`
`FAILED_WRITE`
`PLACEHOLDER_TIMEOUT`
`REMOTE_DOES_NOT_SUPPORT_FT`
`REMOTE_OFFLINE_FOR_TOO_LONG`
`REMOTELY_CANCELLED`
`SENDER_NOT_AUTHORISED`
`TOO_MANY_PARALLEL`

Method Summary
`static Transfer.FAILUREREASON` | `fromString(java.lang.String s)`
`static Transfer.FAILUREREASON` | `get(int code)`
`int` | `getId()`
`static Transfer.FAILUREREASON` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Transfer.FAILUREREASON[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SENDER_NOT_AUTHORISED

    public static final Transfer.FAILUREREASON SENDER_NOT_AUTHORISED

### REMOTELY_CANCELLED

    public static final Transfer.FAILUREREASON REMOTELY_CANCELLED

### FAILED_READ

    public static final Transfer.FAILUREREASON FAILED_READ

### FAILED_REMOTE_READ

    public static final Transfer.FAILUREREASON FAILED_REMOTE_READ

### FAILED_WRITE

    public static final Transfer.FAILUREREASON FAILED_WRITE

### FAILED_REMOTE_WRITE

    public static final Transfer.FAILUREREASON FAILED_REMOTE_WRITE

### REMOTE_DOES_NOT_SUPPORT_FT

    public static final Transfer.FAILUREREASON REMOTE_DOES_NOT_SUPPORT_FT

### REMOTE_OFFLINE_FOR_TOO_LONG

    public static final Transfer.FAILUREREASON REMOTE_OFFLINE_FOR_TOO_LONG

### TOO_MANY_PARALLEL

    public static final Transfer.FAILUREREASON TOO_MANY_PARALLEL

### PLACEHOLDER_TIMEOUT

    public static final Transfer.FAILUREREASON PLACEHOLDER_TIMEOUT

Method Detail

### values

    public static Transfer.FAILUREREASON[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Transfer.FAILUREREASON c : Transfer.FAILUREREASON.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Transfer.FAILUREREASON valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Transfer.FAILUREREASON get(int code)

### fromString

    public static Transfer.FAILUREREASON fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.